/***********************************************************
naver
***********************************************************/
function initHandler1(handler){
  handler.hostString="";
  handler.dataURL="http://mail.naver.com";
  handler.loginData=["https://nid.naver.com/nidlogin.login",
                      "id","pw",
                      "url="+encodeURIComponent(handler.dataURL)+"&cert=no&nomap=0&saveID=0&ssllogin=1"];
  handler.mailURL="http://mail.naver.com/list/?folder=0&m=1";

  handler.process=function (aHttpChannel, aData) {
    switch(this.stage){
    case ST_DATA_RES:
      var location=this.channel.URI.spec;
      if(location.indexOf(".naver.com/app")!=-1){
        this.mailURL=location;
        this.dataURL=location;
        this.isNew=true;
      }
      break;
    }
    return WebMailHandler.prototype.process.call(this,aHttpChannel, aData);
  };

  handler.getData=function(aData){
    if(this.isNew){
      var fnd=aData.match(/namespace\(\"mail.properties.folderinfo\",([\s\S]+?)\)/);
      if(fnd){
        fnd=fnd[1].match(/"FolderSN":"(\d+)".+?"UnreadMailCount":"(\d+)"/g);
        var num=0;
        for(var i in fnd){
          var t=fnd[i].match(/"FolderSN":"(\d+)".+?"UnreadMailCount":"(\d+)"/);
          if(t[1]>=1&&t[1]<=6)continue;
          num+=parseInt(t[2]);
        }
        return num;
      }else{
       return -1;
      }
    }else{
      var fnd=aData.match(/\uc548\uc77d\uc740\u0020\uba54\uc77c.+?<span>(\d+)<\/span>/);
      if(fnd){
        return fnd[1];
      }else{
        return -1;
      }
    }
  };
}
